<?php
/**
 * Theme Info Page
 *
 * @package EVSE Charging Dock
 */

function evse_charging_dock_theme_details() {
	add_theme_page( 'Themes', 'EVSE Charging Dock Theme', 'edit_theme_options', 'evse-charging-dock-theme-info-page', 'theme_details_display', null );
}
add_action( 'admin_menu', 'evse_charging_dock_theme_details' );

function theme_details_display() {

	include_once 'templates/theme-details.php';

}

add_action( 'admin_enqueue_scripts', 'evse_charging_dock_theme_details_style' );

function evse_charging_dock_theme_details_style() {
    wp_register_style( 'evse_charging_dock_theme_details_css', get_template_directory_uri() . '/inc/evse-charging-dock-theme-info-page/css/theme-details.css', false, '1.0.0' );
    wp_enqueue_style( 'evse_charging_dock_theme_details_css' );
}